Simple Virtual Machine A simple but flexible virtual machine

Macros
SVM API macros

This module contains API macros. More...

## Macros
#define | SVM_TYPE
| Declares a monoline SVM type. More...
#define | SVM_TYPE_BEGIN
| Declares the begining of a multiline SVM type. More...
#define | SVM_TYPE_END
| Declares the end of a multiline SVM type. More...
#define | SVM_FUNCTION
| Declares a monoline SVM API function. More...
#define | SVM_NOTHING
| . ... More...

## Detailed Description

This module contains API macros.

## Macro Definition Documentation

## ◆ SVM_FUNCTION

#define SVM_FUNCTION

Declares a monoline SVM API function.

## ◆ SVM_NOTHING

#define SVM_NOTHING

. ...

## ◆ SVM_TYPE

#define SVM_TYPE

Declares a monoline SVM type.

## ◆ SVM_TYPE_BEGIN

#define SVM_TYPE_BEGIN

Declares the begining of a multiline SVM type.

## ◆ SVM_TYPE_END

#define SVM_TYPE_END

Declares the end of a multiline SVM type.